<template>
  <div class="ctn">
    <div class="block-header">
      <h1>{{ title }}</h1>
    </div>
    <div class="list">
      <UniverseListItem
        v-for="(item, i) in universes"
        :key="`universe-${i}`"
        :universe="item"
      />
    </div>
  </div>
</template>

<script>
import UniverseListItem from '~/components/UniverseList/UniverseListItem'
export default {
  components: { UniverseListItem },
  props: {
    title: {
      type: String,
      required: true
    },
    universes: {
      type: Array,
      required: true
    }
  }
}
</script>

<style lang="scss" scoped>
.ctn {
  margin-top: 50px;

  .block-header {
    height: 304px;
    background-color: #272626;
    background-repeat: no-repeat;
    background-image: url('~assets/images/ic-izneo-corner-desktop.svg');
    background-position-x: right;
    background-position-y: top;

    h1 {
      color: white;
      padding: 50px;
      font-weight: bold;
      font-size: 72px;
    }
  }

  .list {
    position: relative;
    margin-top: -104px;
    display: flex;
    justify-content: space-evenly;
  }
}
</style>
